jvx.numeric

## Class PnGaussEnergy

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnFunction
    - - jvx.numeric.PnEnergy
      - - jvx.numeric.PnGaussEnergy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnGaussEnergy
      extends PnEnergy

  Gauss energy is the difference of the current Gauss curvature to a prescribed value. This class includes gradient but no hessian computations. Domain geometry may be missing.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    21.11.04, 1.10 revised (kp)
    21.11.04, 1.00 created (kp).

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnGaussEnergy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(PdVector coord)` Compute area energy of a coord vector using newly initialized stiffness matrix.
    `PdVector` | `evalGradient(PdVector coord, PdVector gradient)` Evaluate volume gradient of a coord vector.
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `initSurface(PgElementSet domain, PgElementSet surface)` Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned.
    `boolean` | `setSurface(PgElementSet domain, PgElementSet surface)` Set domain and surface, and initialize energy structure.

    - ### Methods inherited from class jvx.numeric.PnEnergy

      `computeNormalizedHessian, evalHessian, getConstrain, getNumOfVariables, getSpectrum, getZeroGradientAtBounds, isEnabledConstrainMatrix, isUseConstrainMatrix, setConstrain, setEnabledConstrainMatrix, setUseConstrainMatrix, setZeroGradientAtBounds, testEigenvalues`

    - ### Methods inherited from class jvx.numeric.PnFunction

      `enableEvaluation, isEvaluable`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnGaussEnergy

          public PnGaussEnergy()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnEnergy`

    - #### initSurface

          public void initSurface(PgElementSet domain,
                                  PgElementSet surface)

      Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned. E.g. PnDiriEnergy should copy surface into domain if in iteration mode i.e. if dimension of domain and surface are equal.
      Overrides:
        `initSurface` in class `PnEnergy`
      Version:
        04.05.02, 1.10 revised (kp)
        04.05.02, 1.00 created (kp).

    - #### setSurface

          public boolean setSurface(PgElementSet domain,
                                    PgElementSet surface)

      Set domain and surface, and initialize energy structure. Method is called from outside whenever domain or surface has been updated.
      Overrides:
        `setSurface` in class `PnEnergy`
      Parameters:
        `domain` - additional geometry used to specify maps
        `surface` - geometry which is usually optimized

    - #### eval

          public double eval(PdVector coord)

      Compute area energy of a coord vector using newly initialized stiffness matrix. Method uses the array m_store for intermediate storage and modifies its entries.
      Overrides:
        `eval` in class `PnEnergy`
      Parameters:
        `coord` - Coordinate vector with list of doubles
      Returns:
        double Energy of coordinate vector
      See Also:
        `PnEnergy`
      Author:
        Konrad Polthier
      Version:
        04.05.02, 1.10 revised (kp)
        04.05.02, 1.00 created (kp).

    - #### evalGradient

          public PdVector evalGradient(PdVector coord,
                                       PdVector gradient)

      Evaluate volume gradient of a coord vector.
      Overrides:
        `evalGradient` in class `PnEnergy`
      Parameters:
        `coord` - Coordinate vector with list of doubles
        `gradient` - Gradient vector to be modified
      See Also:
        `PnEnergy`
      Author:
        Konrad Polthier
      Version:
        04.05.02, 1.10 revised (kp)
        04.05.02, 1.00 created (kp).

"

The software JavaView? is copyright protected. All Rights Reserved.
"